import { Client } from "@webiny/api-elasticsearch";
import { IIndexSettingsValues } from "../types";
export declare class IndexSettingsManager {
    private readonly elasticsearch;
    constructor(elasticsearch: Client);
    getSettings(index: string): Promise<IIndexSettingsValues>;
    setSettings(index: string, settings: IIndexSettingsValues): Promise<void>;
}
